<?php
/* $Id: mail_filters.php,v 1.2 2002/11/29 17:45:35 olecam Exp $

This script is part of the SLIS Project initiated by the CARMI-Internet (Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet (Acadmie de Grenoble - France 38).

This script have been write by Olivier.LeCam@crdp.ac-versailles.fr
Ce script  t crit par Olivier.LeCam@crdp.ac-versailles.fr

SLIS : Serveur de communications Linux pour l'Internet Scolaire. Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>

*/

// tools and libs
require("../inc/pgsql.inc.php");
require("../inc/html.inc.php");
require("../inc/lib.inc.php");
require("../inc/mail_filters.inc.php");

/* Connect to pgsql */
$db = dbconnect();

if( isset($validate) ) {
        // delete the old rules
        MAIL_FILTER_deleteCurrentRules($db);
                               
        // Then create the new ones
        for($i = 0; ;$i++) {
                $varval  = sprintf("val%d", $i);
                $varrule = sprintf("rule%d", $i);

                if( ! isset($$varval) || ! isset($$varrule) )
                        break;

                if( $$varval == '' )
                        continue;                
                        
                if( $$varval == 'intranet' && $$varrule != '---' )
                        continue;

                if( $$varval == 'extranet' && $$varrule != '*' )
                        continue;

                MAIL_FILTER_addRule($db, $$varval, $$varrule);
        }

}

// Prepare HTML code
$starthtml = startHTML("$lang_MailFilter_administration");
$content = MAIL_FILTER_showRules($db);
$end = endHTML();
$links  = "<center>\n";
$links .= "[ <a href='/secu/mail_users.php'>$lang_MailUsers_ToUsersLink</a> ] - [ <a href='/aide/mail_filter.html'>$lang_MailUsers_help</a> ]\n";
$links .= "</center>";

/* Close pgsql connection */
pg_close($db);
                  
// Display html code
print $starthtml;
$val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$content,$border,$lang_MailFilter_administration,$titre_color);
$val = center($val);
$val = saut(2)."$val";
print "$val\n";
print "$links\n";
print $end;

?>
