<?php
/* $Id: mail_users.php,v 1.3 2002/11/29 17:45:35 olecam Exp $

This script is part of the SLIS Project initiated by the CARMI-Internet (Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet (Acadmie de Grenoble - France 38).

This script have been write by Olivier."update options set value='$value',tovalid='1' $oldvalue_update where name='$option'LeCam@crdp.ac-versailles.fr
Ce script  t crit par Olivier.LeCam@crdp.ac-versailles.fr

SLIS : Serveur de communications Linux pour l'Internet Scolaire. Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>

*/

// tools and libs
require("../inc/pgsql.inc.php");
require("../inc/html.inc.php");
require("../inc/lib.inc.php");
require("../inc/mail_filters.inc.php");

/* Connect to pgsql */
$db = dbconnect();

function set_user_rule($db, $userid, $rule)
{
        $query = sprintf("DELETE FROM options_users WHERE userid=%d AND type_opt='mail_filter'",
                $userid);
        pg_exec($db, $query);
                 
        if( $rule ) {
                // Create an entry only if a rule is specified
                $query = sprintf("INSERT INTO options_users (userid,type_opt,val_opt,modif,nouveau,delete,tovalid) VALUES(%d,'mail_filter','%s','f','f','f','f')",
                        $userid,
                        $rule);
                pg_exec($db, $query);
        }
}                          
 
// Return 0 or 1 according to the option value in the table options
function isExpertMode($db)
{
        $query  = "SELECT value FROM options WHERE name='MAIL_FILTER_MODE'";
        $result = pg_exec($db, $query);
        if( pg_numrows($result) == 0 )
                return 0;
        $value  = pg_result($result, 0, "value");
        return $value;
}

function setExpertMode($db, $isExpertMode)
{
        $query = "DELETE FROM options WHERE name='MAIL_FILTER_MODE'";
        pg_exec($db, $query);
        $query = sprintf("INSERT INTO options (name,value,tovalid,old_value) VALUES('MAIL_FILTER_MODE','%d','1',' ')",
                $isExpertMode);
        pg_exec($db, $query);
}

// What is the current mode
$isExpertMode =  isExpertMode($db);

if( isset($change_mode) ) {
        $isExpertMode = ! $isExpertMode; 
        setExpertMode($db, $isExpertMode);
}

if( isset($update_rules) ) {
        $userid_array = explode(" ", $userid_list);
        while( ($userid = array_shift($userid_array)) != NULL ) {
                $var_userid = "userid_".$userid;
                $rule = $$var_userid;

                set_user_rule($db, $userid, $rule);
        }

}

if( isset($apply_to_group) ) {
        // Apply a rule for a group of user
        if( $group_id == -1 ) {                                               
                $query = "SELECT userid FROM groups";
        } else {
                $query = sprintf("SELECT userid FROM groups WHERE classeid=%d",
                        $group_id);
        }
        $result = pg_exec($db, $query);
        $num = pg_numrows($result);

        for($i = 0; $i < $num; $i++) {
                $row = pg_fetch_row($result, $i);
                $userid[] = $row[0];
        }

        for($i = 0; $i < $num; $i++) {
                set_user_rule($db, $userid[$i], $group_rule);
        }
}

// Prepare HTML code
$starthtml = startHTML("$lang_MailUsers_administration");
$content = MAIL_FILTER_showUsers($db, $offset, $filter, $filter_type, $isExpertMode);
$end = endHTML();
$links  = "<center>\n";
$links .= "[ <a href='/secu/mail_filters.php'>$lang_MailUsers_ToFilterLink</a> ] - [ <a href='/aide/mail_filter.html'>$lang_MailUsers_help</a> ]\n";
$links .= "</center>\n";

/* Close pgsql connection */
pg_close($db);

// Display html code
print $starthtml;
$val = newsdbtbl("0", $first_tcolor, $sec_tcolor, $content, $border, $lang_MailUsers_administration,
        $titre_color);
$val = center($val);
$val = saut(2)."$val";
print "$val\n";  
print "$links\n";
print $end;

?>
